\section{C\# Grundlagen}
\subsection{Enumeration}
\begin{lstlisting}
enum Days { Sunday, Monday, Tuesday, Wednesday, Thursday, Friday, Saturday };
int sundayValue = (int)Days.Sunday;
Console.WriteLine("{0} / #{1}.", Days.Sunday, sundayValue); // Ausgabe: Sunday / #0
// Parse string to enum
Days day1 = (Days)Enum.Parse(typeof(Days), "Monday"); // Non-Generic (Exception on failure)
Days day2;
bool success2 = Enum.TryParse("Monday", out day2); // Generic
bool success3 = Enum.TryParse("Monday", out Days day3); // Generic / C# 7.0
// Print all enum values
foreach (string name in Enum.GetNames(typeof(Days))) {
Console.WriteLine(name); }
\end{lstlisting}


\pagebreak
\subsection{Object}
\begin{lstlisting}
public class Object {
    public Object();
    public virtual bool Equals(object obj);
    public static bool Equals(object objA, object objB);
    public virtual int GetHashCode();
    public Type GetType();
    protected object MemberwiseClone();
    public static bool ReferenceEquals(object objA, object objB);
    public virtual string ToString(); 
}
\end{lstlisting}


\subsection{Arrays}
\begin{lstlisting}
int[] arr1 = { 1, 2, 3, 4, 5 };
int[] arr2 = new int[] { 1, 3, 5, 7, 9 };
int[,] multiDimensionalArray1 = new int[2, 3];
int[,] multiDimensionalArray2 = { { 1, 2, 3 }, { 4, 5, 6 } };
int[][] jaggedArray = new int[6][];
\end{lstlisting}


\subsection{String}
\begin{lstlisting}
string path = @"C:\Temp\Hello.txt";
Console.WriteLine(path.ToUpper());
Console.WriteLine(path.Replace(@"\","/"));
string[] split = path.Split('\\');
string s2 = string.Format("{0}: {1}", DateTime.Now, "Hello");
string s3 = $"{DateTime.Now}: {"Hello"}";
\end{lstlisting}